Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 11/05/2010, à 18:54

papyligerien

SmillaEnlarger ne s'installe pas(Résolu)

Bonsoir à tous,
Je suis passé avec succès à Lucid Lynx, qui tourne très bien et très vite. smile
J'ai trouvé dans une revue "Linux" ce programme "SmillaEnlarger" qui peut m'être utile pour quelques photos un peu bof.
Télécharger depuis Sourceforge.net, dézipper, lancer depuis un terminal comme dans la revue. Echec.

francois@francois-desktop:~/Téléchargements/SmillaEnlarger_0.8.5_source/SmillaEn
largerSrc$ make
g++ -c -pipe -g -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -o main.o main.cpp
make: g++ : commande introuvable
make: *** [main.o] Erreur 127

Il me semble bien que je dispose de la bibliothèque Qt4. J'ai eu un message rassurant au cours de mes recherches à ce sujet.
Quelle solution ? Mauvaise commande ? Quelqu'un a-t-il une idée ?
Merci.

Dernière modification par papyligerien (Le 15/05/2010, à 17:19)

Hors ligne

#2 Le 12/05/2010, à 09:48

tgv34

Re : SmillaEnlarger ne s'installe pas(Résolu)

Bonjour,
J'ai fait la même démarche que papyllgerlen mais sous karmic, télécharger depuis Sourceforge.net, etc, etc... pour avoir exactement la même erreur:

tgv@tgvdesk:~/SmillaEnlarger_0.9.0_source/SmillaEnlargerSrc$ make
/usr/bin/uic-qt4 enlargerdialog.ui -o ui_enlargerdialog.h
make: /usr/bin/uic-qt4 : commande introuvable
make: *** [ui_enlargerdialog.h] Erreur 127

Si quelqu'un a une solution, grand merci.

Hors ligne

#3 Le 13/05/2010, à 09:15

tgv34

Re : SmillaEnlarger ne s'installe pas(Résolu)

Bonjour,
La solution est de télécharger libqt4-dev et ses dépendances, ce, par exemple à partir de la documentation Ubuntu : page "installation du framework Qt "
Et il devient possible d'installer SmillaEnlarger avec la commande "make"

Hors ligne

#4 Le 13/05/2010, à 20:27

papyligerien

Re : SmillaEnlarger ne s'installe pas(Résolu)

Bonsoir,
Bien suivi les conseils de tgv34 ( que je remercie ... ) En vain ( sans modération, celui-là)
Peut-être un problème dû à mon architecture 64 bits. (AMD 64)
Quand je regarde dans Applications > Logithèque Ubuntu > Logiciels installés > et que je recherche libqt4-dev, "on" me signale que c'est déjà installé et que je peux le désinstaller !!!
Mon problème reste entier. A suivre ...:|

Hors ligne

#5 Le 15/05/2010, à 17:18

papyligerien

Re : SmillaEnlarger ne s'installe pas(Résolu)

Salut à tous,
Le problème venait chez moi de soucis avec g++. J'ai tapé dans un terminal : sudo apt-get install g++ , en suivant le conseil de l'auteur du programme. 3 nouveaux paquets ont été ajoutés et 50 fichiers ont été mis à jour !!!
J'ai repris le processus comme dans le livre, taper la commande finale, ... et ça marche.
smile Merci.

Hors ligne

#6 Le 25/05/2010, à 11:36

MaryPopy

Re : SmillaEnlarger ne s'installe pas(Résolu)

Voici le .deb de la 0.9.0

http://kent.dl.sourceforge.net/project/ … .0_all.deb

Je l'ai trouvé sur un site Italien.

A bientot les manchots

Dernière modification par MaryPopy (Le 25/05/2010, à 18:04)


i7 950  @ 3.07GHz | 6 Go de Ram | GeForce GTS 250 512 MB | Tower sur Debian Testing 64bit | Netbook sur Debian Testing Openbox docky xfe
Mon dernier roman, édité chez Atramenta : http://www.vouillamozweb.ch

Hors ligne

#7 Le 12/08/2010, à 20:25

epictete

Re : SmillaEnlarger ne s'installe pas(Résolu)

Moi aussi j'ai lu l'article très intéressant dans Linux Pratique de mai / juin 2010.

Grand merci à MaryPopy pour l'adresse de site fournissant un paquet .deb !

Dommage que le développeur n'en propose pas un.

J'ai testé le logiciel : c'est époustouflant !


Promouvoir et défendre le logiciel libre : http://www.april.org
Foundation for a Free Information Infrastructure : http://www.ffii.org/Home
               « La liberté, la liberté, les gens n'ont que ce mot-là à la bouche ! » Françoise de Panafieu (UMP).
               « Rien ne justifie qu'on cherche à préserver la liberté de l'Internaute » Chantal Brunel (UMP).

Hors ligne

#8 Le 11/09/2010, à 21:39

wubijacq

Re : SmillaEnlarger ne s'installe pas(Résolu)

Je ne peux hélas pas installer le deb que propose MaryPopy dans Ubuntu9.10: nécessite la dependance libqtcore4 (>=4:4.6.1) qui n'est disponible qu'à partir de lucid linx. Je dois rester à la version 0.89. Tru3m0sl3m a fait une vidéo en anglais à: http://www.youtube.com/watch?v=mrMa50bU9Mg expliquant comment l'installer sur Ubuntu 9.04 et 9.10 ou explications avec des captures d'écrans à:  http://www.wubijacq.com/repixel/

Dernière modification par wubijacq (Le 04/12/2010, à 18:42)


GNU/Linux

Hors ligne

#9 Le 20/12/2010, à 12:49

MaryPopy

Re : SmillaEnlarger ne s'installe pas(Résolu)

Pour l'installer sur 64 bit et 32 j'ai bien virer tout les Qt3 et libqt3 pour ne laisser que les Qt4 pour éviter les conflit (Ce que je conseille sur tout les 10.04 et supérieure), j'ai décompressé dans /opt en mode graphique. Avec

gksudo nautilus /opt # pour les nouveaux

Puis j'y ai placé le dossier SmillaEnlargerSrc dans /opt donc et je l'ai changé l'user en mon username :

 sudo chown -R username:username /opt/SmillaEnlargerSrc

cd /opt/SmillaEnlargerSrc
qmake ImageEnlarger.pro
make

J'ai ajouter le lanceur au menu Applications > graphisme avec le code :

 '/opt/SmillaEnlargerSrc/SmillaEnlarger'

et l'image : opt > SmillaEnlargerSrc > smilla.png

Dernière modification par MaryPopy (Le 23/12/2010, à 23:58)


i7 950  @ 3.07GHz | 6 Go de Ram | GeForce GTS 250 512 MB | Tower sur Debian Testing 64bit | Netbook sur Debian Testing Openbox docky xfe
Mon dernier roman, édité chez Atramenta : http://www.vouillamozweb.ch

Hors ligne

#10 Le 23/12/2010, à 19:42

nalvak

Re : SmillaEnlarger ne s'installe pas(Résolu)

Bonsoir et joyeuses fêtes à tous !
J'ai tenté la recette de MaryPopy : Echec !
user@ubu1010:/opt/SmillaEnlarger_0.9.0_source/SmillaEnlargerSrc$ qmake ImageEnlarger.pro
Failure to open file: /opt/SmillaEnlarger_0.9.0_source/SmillaEnlargerSrc/Makefile
user@ubu1010:/opt/SmillaEnlarger_0.9.0_source/SmillaEnlargerSrc$


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#11 Le 24/12/2010, à 00:00

MaryPopy

Re : SmillaEnlarger ne s'installe pas(Résolu)

J'ai retranscrit faut cette commande :

sudo chown -R username:username /opt/SmillaEnlargerSrc

Essaye voir à nouveau stp. Je viens d'installer de cette manière sur une nouvelle installation. Sa à été. Et comme j'ai commencé par cd sudo c'est net que sa marche pas. Désolé à tous.

Remplace les username par ton nom d'utilisateur Ubuntu. Puis depuis le synaptic, vire bien tout les libqt3 pour remplacer par libqt4

Dernière modification par MaryPopy (Le 24/12/2010, à 00:34)


i7 950  @ 3.07GHz | 6 Go de Ram | GeForce GTS 250 512 MB | Tower sur Debian Testing 64bit | Netbook sur Debian Testing Openbox docky xfe
Mon dernier roman, édité chez Atramenta : http://www.vouillamozweb.ch

Hors ligne

#12 Le 25/12/2010, à 15:01

nalvak

Re : SmillaEnlarger ne s'installe pas(Résolu)

Joyeux Noël et merci d'avoir répondu à mon message !
J'ai appliqué le changement de propriétaire par sudo chown -R comme indiqué…

Voici où j'en suis :
yanpetro@7ubu1010:/opt$ cd SmillaEnlarger_0.9.0_source
yanpetro@7ubu1010:/opt/SmillaEnlarger_0.9.0_source$ ls -al
total 76
drwxr-xr-x 3 yanpetro yanpetro  4096 2010-12-23 18:03 .
drwxr-xr-x 3 root     root      4096 2010-12-23 18:03 ..
-rw-r--r-- 1 yanpetro yanpetro  1221 2010-12-23 18:03 changelog.txt
-rw-r--r-- 1 yanpetro yanpetro 32473 2010-12-23 18:03 gpl-3.0.txt
-rw-r--r-- 1 yanpetro yanpetro   263 2010-12-23 18:03 linux_install.txt
-rw-r--r-- 1 yanpetro yanpetro 18453 2010-12-23 18:03 ReadMe.rtf
drwxr-xr-x 5 yanpetro yanpetro  4096 2010-12-23 18:03 SmillaEnlargerSrc
-rw-r--r-- 1 yanpetro yanpetro  2311 2010-12-23 18:03 WhatsNew.rtf
yanpetro@7ubu1010:/opt/SmillaEnlarger_0.9.0_source$

Est-ce que tout est à sa place dans /opt     ?
Quelle commande utiliser pour lancer l'installation proprement dite ?
Comment lancer le logiciel ?

Merci de cette aide sous me sapin smile


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#13 Le 25/12/2010, à 20:24

MaryPopy

Re : SmillaEnlarger ne s'installe pas(Résolu)

Je vois en haut que tu as mis tout le SmillaEnlarger_0.9.0_source dans /opt
Si tu n'as pas une grosse expérience du terminal. Fait exactement comme j'ai indiqué. Si non tu n'arriveras pas.
C'est uniquement SmillaEnlargerSrc que tu met dans /opt si non sa marche aussi mais tu devras réadapter les chemin de tes commandes.

Tu n'y es pour rien, c'est un détaille facile à apprendre et je te conseille de suivre un petit cours si Linux t'intéresse. Pour débuter je me suis servis du site du Zéro. Ce qui m'as aidé énormément pour comprendre l'essentiel. Ensuite tu y sera à l'aise et tu économiseras un paquet de temps lors de souci du genre.

Mais si tu as un souci et que tu veux désinstaller (effacer) pour tout recommencer, il suffit de faire

sudo rm -fr /opt/SmillaEnlargerSrc

Pour lancer le logiciel c'est la commande

/opt/SmillaEnlargerSrc/SmillaEnlarger

C'est le même code que pour créer le lanceur. Comme j'ai dit en haut.

Sa te prendra 5 minutes en faite.

Salut

Dernière modification par MaryPopy (Le 25/12/2010, à 20:37)


i7 950  @ 3.07GHz | 6 Go de Ram | GeForce GTS 250 512 MB | Tower sur Debian Testing 64bit | Netbook sur Debian Testing Openbox docky xfe
Mon dernier roman, édité chez Atramenta : http://www.vouillamozweb.ch

Hors ligne

#14 Le 25/12/2010, à 20:48

nalvak

Re : SmillaEnlarger ne s'installe pas(Résolu)

Merci de ces conseils !
Je vais essayer de comprendre. Si j'y arrive, je détaillerai la démarche. Sinon je supprime les traces et ce n'est pas grave.
Je n'ai pas de soucis avec les commandes de base;)
Bien cordialement


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#15 Le 28/12/2010, à 19:56

nalvak

Re : SmillaEnlarger ne s'installe pas(Résolu)

Bon !
J'ai repris tout le processus à partir du début.
Tout semble bien se passer jusqu'à la dernière commande…? hmm

yanpetro@7ubu1010:/opt/SmillaEnlargerSrc$ make
g++ -c -pipe -g -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -o main.o main.cpp
main.cpp:24: fatal error: QtGui/QApplication: Aucun fichier ou dossier de ce type
compilation terminated.
make: *** [main.o] Erreur 1
yanpetro@7ubu1010:/opt/SmillaEnlargerSrc$

Il y a un truc qui doit manquer,  je n'ai pas encore tout compris.


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#16 Le 28/12/2010, à 23:22

MaryPopy

Re : SmillaEnlarger ne s'installe pas(Résolu)

usr/include/qt3

Pourtant j'ai dit de virer les qt3 pour mettre que les qt4

il te faut donc le libqt4-dev et vire tout les qt3 et libqt3

Quand tu met /opt/SmillaEnlargerSrc/SmillaEnlarger dans le terminal, sa marche ou pas ?

Dernière modification par MaryPopy (Le 29/12/2010, à 02:35)


i7 950  @ 3.07GHz | 6 Go de Ram | GeForce GTS 250 512 MB | Tower sur Debian Testing 64bit | Netbook sur Debian Testing Openbox docky xfe
Mon dernier roman, édité chez Atramenta : http://www.vouillamozweb.ch

Hors ligne

#17 Le 29/12/2010, à 11:49

nalvak

Re : SmillaEnlarger ne s'installe pas(Résolu)

Wey ! big_smile
RÉSOLU !
Il y avait deux qt3 qui se cachaient bien.
Je les ai supprimés dans Synaptic et je te dois un grand merci pour ta résolution !

J'ai aussi suivi ton conseil au sujet de
http://www.siteduzero.com
C'est vrai qu'on y trouve des tutoriels remarquablement clairs.


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#18 Le 29/01/2011, à 16:55

wubijacq

Re : SmillaEnlarger ne s'installe pas(Résolu)

Pardon il n'y a pas une commande pour virer tous les vieux qt3 et libqt3 en commençant par sudo -rm ?


GNU/Linux

Hors ligne

#19 Le 29/01/2011, à 19:12

nalvak

Re : SmillaEnlarger ne s'installe pas(Résolu)

Oui, bien sûr !
Mon cheminement n'était pas le plus élégant…
Mais le résultat est atteint et SmillaEenlarger est excellent !


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#20 Le 29/01/2011, à 19:50

MaryPopy

Re : SmillaEnlarger ne s'installe pas(Résolu)

Comment les virer par rm ? rm = mettre à la corbeille. Il faut les désinstaller, tu met qt3 dans la recherche du gestionnaire synaptic puis libqt3. Puis tu vérifie de bien avoir l'équivalent en qt4 donc regarde de bien avoir = libqt4-dev il me semble que sa suffit le libqt4-dev, python-qt4, qt4-qmake...

Je pense que avec que ses 3 sa fonctionne. Je n'ai pas noté exactement quel qmake avoir. Mais sa devrait suffire.


i7 950  @ 3.07GHz | 6 Go de Ram | GeForce GTS 250 512 MB | Tower sur Debian Testing 64bit | Netbook sur Debian Testing Openbox docky xfe
Mon dernier roman, édité chez Atramenta : http://www.vouillamozweb.ch

Hors ligne

#21 Le 30/01/2011, à 11:59

nalvak

Re : SmillaEnlarger ne s'installe pas(Résolu)

Pour information
Chez moi, on peut vérifier que "python-qt4" & "qt4-qmake" sont installés.
Il y a aussi 16 modules "libqt4***" installés.
Par contre, il n'y a plus aucun qt3 à une exception près
libqt4-qt3support >>> Description Qt3 compatibility library for Qt4


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#22 Le 30/01/2011, à 12:02

MaryPopy

Re : SmillaEnlarger ne s'installe pas(Résolu)

Idem pour moi !


i7 950  @ 3.07GHz | 6 Go de Ram | GeForce GTS 250 512 MB | Tower sur Debian Testing 64bit | Netbook sur Debian Testing Openbox docky xfe
Mon dernier roman, édité chez Atramenta : http://www.vouillamozweb.ch

Hors ligne

Haut de page ↑